#
# spec file for package libexiv2 (Version 0.15)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils doxygen file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgcrypt libgomp42 libgpg-error libltdl-3 libmudflap42 libopenssl0_9_8 libpng libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libxml2 libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks python rpm sed sqlite sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           libexiv2
BuildRequires:  doxygen gcc-c++ gettext-devel libxslt python zlib-devel
Url:            http://www.exiv2.org/
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Library and tools to access image metadata
Version:        0.15
Release:        8.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        exiv2-%version.tar.bz2
Patch0:         remove-URL-pkgconfig.diff
Patch1:         integer-overflows.diff
Patch2:         divide-by-zero.diff

%description
Exiv2 is a C++ library and a command line utility to access image
metadata.



Authors:
--------
    Andreas Huggel <ahuggel@gmx.net>

%debug_package
%package devel
License:        GPL v2 or later
Summary:        Development Headers for Exiv2
Group:          Development/Libraries/C and C++
Requires:       %name = %{version}
Requires:       zlib-devel

%description devel
Exiv2 is a C++ library and a command line utility to access image
metadata.



Authors:
--------
    Andreas Huggel <ahuggel@gmx.net>

%prep
%setup -q -n exiv2-%{version}
%if %suse_version < 1000
%patch
%endif
%patch1
%patch2

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure
make %{?jobs:-j %jobs}
make doc

%install
%makeinstall
%find_lang exiv2

%clean
rm -rf $RPM_BUILD_ROOT

%files -f exiv2.lang
%defattr(-,root,root)
%doc doc/ChangeLog doc/cmd.txt
%{_bindir}/exiv2
%{_libdir}/libexiv2.so.*

%files devel
%defattr(-,root,root)
%doc doc/html
/usr/include/exiv2
%{_libdir}/libexiv2.a
%{_libdir}/libexiv2.la
%{_libdir}/libexiv2.so
%{_libdir}/pkgconfig/exiv2.pc
%{_mandir}/man*/*

%changelog
* Tue Oct 21 2008 - stbinner@suse.de
- fix possible divide by zero (bnc#435509, CVE-2008-2696)
* Fri Dec 14 2007 - dmueller@suse.de
- fix integer overflow in thumbnail reading (#348748, CVE-2007-6353)
* Fri Aug 31 2007 - dmueller@suse.de
- update to 0.15:
  * Image with large invalid Exif tag crashes exiv2.
  (Reported by Marco Piovanelli)
  * crash when loading certain image.
  * Another Minolta G500 file impossible to read after fix.
  * Sony Makernote crashes exiv2.
  * Wrong AFPoints mapping for Canon cameras.
  * Minolta G500 RAW format support.
  * Fix "Since v0.14 the version check macro doesn't work in a precompiler
  [#]if test anymore".
  * [jpeg i/o] Uncouple IPTC and Exif reading.
  * Updated Nikon lens info to v2.30 of Robert Rottmerhusen's lens database.
  * Added additional values to the Exif.CanonCs.ISOSpeed. lookup table.
  * Canon ModelId patch. (Gerry Patterson)
  * Updated German translation.
  * Updated Russian translation.
  * Updated French translation.
* Thu Apr 12 2007 - dmueller@suse.de
- update to version 0.14:
  * Fixed mapping of CRW rotation info to Exif orientation.
  (Reported and analysed by Marco Piovanelli)
  * Fixed RAF read-support for systems without mmap. (Reported
  by Udi Fuchs)
  * [exif] Added tag names for a few tags used by Windows Vista and
  ACDSee. (Gilles Caulier)
  * [exif] Updated Nikon lens info to v2.20 of Robert Rottmerhusen's
  lens database.
  * [miscellaneous] Changed AnyError to inherit from std::exception;
  changed the signature of AnyError::what(). (Suggested by Marco
  Piovanelli)
  * [miscellaneous] Fixed version check macro to actually check the
  runtime version and not the compile-time version. Added version()
  and versionNumber() functions.
  * [miscellaneous] Updated German translation. (Oliver Dörr)
  * [miscellaneous] Changed name of installed translation files to
  lower case exiv2.mo. (Highlighted by Angelo Naselli)
  Tiff generated by photoshop crashes exiv2
  (digikam bug 139658).
  * New TIFF parser: Decode IPTC from Exif.Image.IPTCNAA.
  (Reported by Walter Hangartner)
  * IPTC field parsing is still too strict: shouldn't fail if
  the type is not as expected. (Reported by Elsa Nordh)
  * exiv2 tool doesn't respect unix file rights. (Reported and
  analysed by fabien)
  * Probe exiv2 for the extensions it supports.
  (Suggested by Will Stokes)
  * Add i18n support. Requires gettext.
* Thu Mar 29 2007 - rguenther@suse.de
- add zlib-devel BuildRequires
* Tue Nov 28 2006 - adrian@suse.de
- update to version 0.12
  * Exiv2 utility
        - 0000493: [tools] exiv2 -T DST problem.
        - 0000459: [exif] Exiv2 tool: Added a variable for the original filename to
  the rename option. (Patch by Tobias Jahn)
  * Exiv2 library
        - 0000498: [exif] Exiv2 cannot read the Exif data written after deleting all
  tags.
        - 0000496: [metadata] Digikam bug 136855: Editing metadata on a few selected
  imagefiles and clicking forward or apply crashes digikam.
  (Reported by several digikam users)
        - 0000495: [exif] Image with corrupted metadata crashes Exiv2. (Reported as
  digikam bug 136932 by Rainer Krienke)
        - 0000489: [build environment] exiv2.pc.in includes private/static libs by
  default. (Reported with patch by Rex Dieter)
        - 0000488: [metadata] GPSInfo Metadata should return decimal numbers.
  (Feature requested by Fabien)
        - 0000486: [build environment] Test bugfixes-test.sh error under Mac OS X x86.
  (Reported with fix by Max Lapshin)
                 - [exif] Updated Nikon lens info to v2.07 of Robert Rottmerhusen's
  lens database.
                 - [metadata] Added methods to access built-in read-only Exif taglists
  and IPTC record lists. (Initiated by Max Lapshin)
                 - [iptc] Improved IPTC record descriptions using IIM4 specification
  version 4.1. (Gilles Caulier)
                 - [exif] Improved Exif tag descriptions using Exif specification 2.2
  and libexif. (Gilles Caulier)
                 - [exif] Added and improved pretty print functions for some Exif
  tags. (Gilles Caulier)
                 - [exif] Updated Minolta makernote. (Gilles Caulier, Paul Tribick)
* Tue Nov 07 2006 - dmueller@suse.de
- don't build as root
* Tue Nov 07 2006 - dmueller@suse.de
- Initial package (0.11), adopted from openSUSE buildservice
